| Bsoft 2.0.5 Bernard's software package

Classes | Macros
simplex.h File Reference

Nelder and Mead downhill simplex method for generalized parameter fitting. More...

`#include <vector>`

Go to the source code of this file.

## Classes
class | Bsimplex
| Structure used in the downhill simplex method. More...

## Macros
#define | _Bsimplex_

## Detailed Description

Nelder and Mead downhill simplex method for generalized parameter fitting.

Author
  Bernard Heymann

Date
  Created: 20000426
  Modified: 20191121

      Adapted from Numerical Recipes, 2nd edition, Press et al. 1992
      The function "funk" is user-defined and references the "Bsimplex" structure.
      It returns the "R" value and is called as:
          double  R = (funk)(simplex_struct);

Definition in file simplex.h.

## Macro Definition Documentation

## ◆ _Bsimplex_

#define _Bsimplex_

Definition at line 88 of file simplex.h.